Lavalite package that provides holiday management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/holiday`.

    "bixo/holiday": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Holiday\Providers\HolidayServiceProvider::class,

And also add it to alias

    'Holiday'  => Bixo\Holiday\Facades\Holiday::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\HolidayTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Holiday\Providers\HolidayServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Holiday\Providers\HolidayServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Holiday\Providers\HolidayServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/holiday/{modulename}

**User**

    http://path-to-route-folder/user/holiday/{modulename}

**Public**

    http://path-to-route-folder/holidays


### API endpoints

**List**

    http://path-to-route-folder/api/user/holiday/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/holiday/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/holiday/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/holiday/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/holiday/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/holiday/{modulename}/{slug}
    METHOD: GET