<?php

namespace Bixo\Holiday\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class HolidayTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Holiday\Models\Holiday $holiday)
    {
        return [
            'id'                => $holiday->getRouteKey(),
            'key'               => [
                'public'    => $holiday->getPublicKey(),
                'route'     => $holiday->getRouteKey(),
            ], 
            'from_date'         => $holiday->from_date,
            'to_date'           => $holiday->to_date,
            'description'       => $holiday->description,
            'user_id'           => $holiday->user_id,
            'user_type'         => $holiday->user_type,
            'deleted_at'        => $holiday->deleted_at,
            'url'               => [
                'public'    => trans_url('holiday/'.$holiday->getPublicKey()),
                'user'      => guard_url('holiday/holiday/'.$holiday->getRouteKey()),
            ], 
            'status'            => trans('app.'.$holiday->status),
            'created_at'        => format_date($holiday->created_at),
            'updated_at'        => format_date($holiday->updated_at),
        ];
    }
}